From f693dbb7110691b923728693cc3fc9f3600d8624 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 21:05:15 -0400
Subject: [PATCH 05/22] gnu: zathura-pdf-mupdf: Move from pdf.scm to pwmt.scm.

* gnu/packages/pdf.scm (zathura-pdf-mupdf): Move to [...]
* gnu/packages/pwmt.scm (zathura-pdf-mupdf): [...] here.
---
 gnu/packages/pdf.scm  | 44 ----------------------------------------
 gnu/packages/pwmt.scm | 47 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 44 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 0aca1e707a..30a8ec20e6 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -462,50 +462,6 @@ using libarchive.")
 using the DjVuLibre library.")
     (license license:zlib)))
 
-(define-public zathura-pdf-mupdf
-  (package
-    (name "zathura-pdf-mupdf")
-    (version "0.3.5")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-pdf-mupdf"
-                              "/download/zathura-pdf-mupdf-" version ".tar.xz"))
-              (sha256
-               (base32
-                "1pjwsb7zwclxsvz229fl7y2saf1pv3ifwv3ay8viqxgrp9x3z9hq"))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs
-     `(("jbig2dec" ,jbig2dec)
-       ("libjpeg" ,libjpeg)
-       ("mujs" ,mujs)
-       ("mupdf" ,mupdf)
-       ("openjpeg" ,openjpeg)
-       ("openssl" ,openssl)
-       ("zathura" ,zathura)))
-    (build-system meson-build-system)
-    (arguments
-     `(#:tests? #f                      ; package does not contain tests
-       #:configure-flags (list (string-append "-Dplugindir="
-                                              (assoc-ref %outputs "out")
-                                              "/lib/zathura")
-                               "-Dlink-external=true")
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'configure 'add-mujs-to-dependencies
-           (lambda _
-             ;; Add mujs to the 'build_dependencies'.
-             (substitute* "meson.build"
-               (("^  libopenjp2 = dependency.*" x)
-                (string-append x "  mujs = cc.find_library('mujs')\n"))
-               (("^    libopenjp2")
-                "    libopenjp2, mujs")))))))
-    (home-page "https://pwmt.org/projects/zathura-pdf-mupdf/")
-    (synopsis "PDF support for zathura (mupdf backend)")
-    (description "The zathura-pdf-mupdf plugin adds PDF support to zathura
-by using the @code{mupdf} rendering library.")
-    (license license:zlib)))
-
 (define-public podofo
   (package
     (name "podofo")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index f984f1b327..3d3abe168d 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -31,10 +31,13 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages javascript)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages xorg)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -219,3 +222,47 @@ using libspectre.")
     (description "The zathura-pdf-poppler plugin adds PDF support to zathura
 by using the poppler rendering engine.")
     (license license:zlib)))
+
+(define-public zathura-pdf-mupdf
+  (package
+    (name "zathura-pdf-mupdf")
+    (version "0.3.5")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura-pdf-mupdf"
+                              "/download/zathura-pdf-mupdf-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1pjwsb7zwclxsvz229fl7y2saf1pv3ifwv3ay8viqxgrp9x3z9hq"))))
+    (native-inputs `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("jbig2dec" ,jbig2dec)
+       ("libjpeg" ,libjpeg)
+       ("mujs" ,mujs)
+       ("mupdf" ,mupdf)
+       ("openjpeg" ,openjpeg)
+       ("openssl" ,openssl)
+       ("zathura" ,zathura)))
+    (build-system meson-build-system)
+    (arguments
+     `(#:tests? #f                      ; package does not contain tests
+       #:configure-flags (list (string-append "-Dplugindir="
+                                              (assoc-ref %outputs "out")
+                                              "/lib/zathura")
+                               "-Dlink-external=true")
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'add-mujs-to-dependencies
+           (lambda _
+             ;; Add mujs to the 'build_dependencies'.
+             (substitute* "meson.build"
+               (("^  libopenjp2 = dependency.*" x)
+                (string-append x "  mujs = cc.find_library('mujs')\n"))
+               (("^    libopenjp2")
+                "    libopenjp2, mujs")))))))
+    (home-page "https://pwmt.org/projects/zathura-pdf-mupdf/")
+    (synopsis "PDF support for zathura (mupdf backend)")
+    (description "The zathura-pdf-mupdf plugin adds PDF support to zathura
+by using the @code{mupdf} rendering library.")
+    (license license:zlib)))
-- 
2.26.2

